- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TAssetManager
TCacheHttpSession
THttpCookie
THttpCookieCollection
THttpRequest
THttpRequestUrlFormat
THttpResponse
THttpResponseAdapter
THttpSession
THttpSessionCookieMode
THttpUtility
TSessionIterator
TUri
TUrlManager
TUrlMapping
TUrlMappingPattern

Keyword

# Class THttpUtility

THttpUtility class

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
string | htmlDecode ( string $s) HTML-decodes a string.
string | htmlEncode ( string $s) HTML-encodes a string.

Method Details

## htmlDecode

public string htmlDecode | (string $s )

HTML-decodes a string.

It is the inverse of htmlEncode.

Input
string | $s | string to be decoded
Output
string | decoded string
Exception

## htmlEncode

public string htmlEncode | (string $s )

HTML-encodes a string.

This method translates the following characters to their corresponding HTML entities: <, >, " Note, unlike htmlspeicalchars, & is not translated.

Input
string | $s | string to be encoded
Output
string | encoded string
Exception